summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFelix Singer2017-05-19 18:37:12 +0200
committerFelix Singer2017-05-19 18:37:12 +0200
commit9ccec5562dfca8eb4340181ab9aadd04e97492f5 (patch)
tree2344c2991274f734208881ea72eebd9e03eb1058
parentc091844d1ab553c04db2e7875fe7e9a9ecf4d6f0 (diff)
downloadaur-9ccec5562dfca8eb4340181ab9aadd04e97492f5.tar.gz
Move python to makedepends
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD6
2 files changed, 5 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ba9c7f131c8..091344d2029 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -8,6 +8,7 @@ pkgbase = mumble-snapshot-minimal
license = BSD
makedepends = boost
makedepends = qt5-tools
+ makedepends = python
depends = qt5-base
depends = qt5-svg
depends = opus
@@ -15,7 +16,6 @@ pkgbase = mumble-snapshot-minimal
depends = libpulse
depends = avahi
depends = protobuf
- depends = python3
provides = mumble=1.3.0_2318_g8f65051
conflicts = mumble
source = https://mumble.info/snapshot/mumble-1.3.0~2318~g8f65051~snapshot.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
index d0d82190de1..f613a5425f6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,8 +7,8 @@ pkgrel=2
arch=('i686' 'x86_64')
pkgdesc="Mumble is an open source voice chat application similar to TeamSpeak. This release doesn't include Text2Speech, Overlay and several plugins."
license=('BSD')
-depends=('qt5-base' 'qt5-svg' 'opus' 'speex' 'libpulse' 'avahi' 'protobuf' 'python3')
-makedepends=('boost' 'qt5-tools')
+depends=('qt5-base' 'qt5-svg' 'opus' 'speex' 'libpulse' 'avahi' 'protobuf')
+makedepends=('boost' 'qt5-tools' 'python')
provides=("${_pkgname}=${pkgver}")
conflicts=("${_pkgname}")
url="https://mumble.info"
@@ -24,6 +24,8 @@ build() {
INCLUDEPATH+="/usr/include/openssl-1.0" \
QMAKE_LFLAGS+="-L/usr/lib/openssl-1.0 -lssl -lcrypto"
+ exit 1
+
make release
}